summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author crocket2012-12-26 10:30:42 +0100
committer Matteo Bernardini2012-12-26 21:36:46 +0100
commitc9aa8056f97676115a6317af9a3e84b46d601e7e (patch)
treeef3af1d72ae5c78d8b5e58b6c72155febf393602 /libraries
parent62db66c822da8121ce4d048b47082113837c5248 (diff)
downloadslackbuilds-c9aa8056f97676115a6317af9a3e84b46d601e7e.tar.gz
libraries/libquvi: Added (media-parsing library).
Signed-off-by: Matteo Bernardini <ponce@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/libquvi/README4
-rw-r--r--libraries/libquvi/libquvi.SlackBuild85
-rw-r--r--libraries/libquvi/libquvi.info10
-rw-r--r--libraries/libquvi/slack-desc19
4 files changed, 118 insertions, 0 deletions
diff --git a/libraries/libquvi/README b/libraries/libquvi/README
new file mode 100644
index 0000000000..6ef19befac
--- /dev/null
+++ b/libraries/libquvi/README
@@ -0,0 +1,4 @@
+The quvi project parses media stream URLs for Internet applications
+that would otherwise have to use adobe flash multimedia platform to
+access the media streams. quvi project works around the adobe flash,
+rather than enables it.
diff --git a/libraries/libquvi/libquvi.SlackBuild b/libraries/libquvi/libquvi.SlackBuild
new file mode 100644
index 0000000000..a12d43e243
--- /dev/null
+++ b/libraries/libquvi/libquvi.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for libquvi
+
+# Made by trebol 2012/12/13
+# Modified by crocket <crockabiscuit@gmail.com>
+
+PRGNAM=libquvi
+VERSION=${VERSION:-0.4.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DOCS="AUTHORS COPYING ChangeLog INSTALL NEWS README"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libquvi/libquvi.info b/libraries/libquvi/libquvi.info
new file mode 100644
index 0000000000..cf54e495bf
--- /dev/null
+++ b/libraries/libquvi/libquvi.info
@@ -0,0 +1,10 @@
+PRGNAM="libquvi"
+VERSION="0.4.1"
+HOMEPAGE="http://quvi.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/quvi/libquvi-0.4.1.tar.xz"
+MD5SUM="acc5a5da25a7f89c6ff5338d00eaaf58"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="libquvi-scripts"
+MAINTAINER="crocket"
+EMAIL="crockabiscuit@gmail.com"
diff --git a/libraries/libquvi/slack-desc b/libraries/libquvi/slack-desc
new file mode 100644
index 0000000000..de1b1ce5ce
--- /dev/null
+++ b/libraries/libquvi/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libquvi: libquvi (media-parsing library)
+libquvi:
+libquvi: The quvi project parses media stream URLs for Internet applications
+libquvi: that would otherwise have to use adobe flash multimedia platform to
+libquvi: access the media streams. quvi project works around the adobe flash,
+libquvi: rather than enables it.
+libquvi:
+libquvi: homepage: http://quvi.sourceforge.net
+libquvi:
+libquvi:
+libquvi: